<form [formGroup]="changeRequestForm" class="change-request-container" (ngSubmit)="changeRequestSubmit(changeRequestForm)">
    <mat-form-field appearance="fill">
        <input matInput formControlName="reason" placeholder="Enter reason for change">
    </mat-form-field>
    <p >Assigned Doctor: {{$any(this.data).assignedDoctor.name}}</p>

    <mat-form-field appearance="fill">
        <mat-select formControlName='replacement' value="replacement" placeholder="choose replacement" >
            <mat-option *ngFor="let doctor of availableUsers" [value]="doctor._id">{{doctor.name}}</mat-option>
        </mat-select>
    </mat-form-field>

    <button mat-stroked-button type="submit" mat-dialog-close >Send Change Request</button>

</form>


